package org.netkernel.layer0.representation;

public interface IHDSIndexSpecification
{
	/** Return the list of nodes that are going to be indexed
	 * @param aContextNode the context node from which to search for nodes to index
	 * @return the list
	 */
	public IHDSNodeList getNodesToIndex(IHDSNode aContextNode);
	
	/** Return the key value for the given node to index
	 * @param aNodeToIndex
	 * @return
	 */
	public Object getKeyValue(IHDSNode aNodeToIndex);
}
